Gane1985
Mechanical
- Jul 28, 2013
- 2
Hello Friends,
This is my first thread on this site. I am looking for a macro that would delete the deactivated feature and sketch.
I recorded one macro and the code is given below.It deletes deactivate feature and geometric elements, but i found that the macro does not delete the deactivated sketch.
Sub CATMain()
Set partDocument1 = CATIA.ActiveDocument
Set part1 = partDocument1.Part
'If Err.Number=0 Then
Dim selection1 'As Selection
Set selection1 = partDocument1.Selection
selection1.Search "CATPrtSearch.PartDesign Feature.Activity=FALSE"
'if no deactivated components then end program
If selection1.Count = 0 Then
Msgbox "No deactivated features."
Exit Sub
Else
'delete all deactivated components then update the part
selection1.Delete
part1.Update
End If
'error handling
'Else
' Msgbox "Not a part document! Open a single part document."
'End If
End Sub
Anyone can guide me to resolve the issues.
This is my first thread on this site. I am looking for a macro that would delete the deactivated feature and sketch.
I recorded one macro and the code is given below.It deletes deactivate feature and geometric elements, but i found that the macro does not delete the deactivated sketch.
Sub CATMain()
Set partDocument1 = CATIA.ActiveDocument
Set part1 = partDocument1.Part
'If Err.Number=0 Then
Dim selection1 'As Selection
Set selection1 = partDocument1.Selection
selection1.Search "CATPrtSearch.PartDesign Feature.Activity=FALSE"
'if no deactivated components then end program
If selection1.Count = 0 Then
Msgbox "No deactivated features."
Exit Sub
Else
'delete all deactivated components then update the part
selection1.Delete
part1.Update
End If
'error handling
'Else
' Msgbox "Not a part document! Open a single part document."
'End If
End Sub
Anyone can guide me to resolve the issues.